Package org.eclipse.cdt.utils.debug.stabs

# Class TypeNumber

java.lang.Object
org.eclipse.cdt.utils.debug.stabs.TypeNumber

public class TypeNumber extends Object

## Constructor Summary

Constructors
Constructor
Description
`TypeNumber(int f, int t)`
`TypeNumber(Reader reader)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`getFileNo()`
`int`
`getTypeNo()`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypeNumber

public TypeNumber(int f, int t)

### TypeNumber

public TypeNumber(Reader reader)

## Method Details

### getTypeNo

public int getTypeNo()

### getFileNo

public int getFileNo()

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`